package com.yeejoin.equipmanage.common.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author keyong
 * @title: AlarmDataVO
 * <pre>
 * @description: 告警详情VO
 * </pre>
 * @date 2020/12/23 16:26
 */
@Data
public class AlarmDataVO {

    private String key;

    private String  value;

    private boolean isHref;

    public AlarmDataVO() { }

    public AlarmDataVO(String key, String value, boolean isHref) {
        this.key = key;
        this.value = value;
        this.isHref = isHref;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    @JsonProperty("isHref")
    public boolean isHref() {
        return isHref;
    }

    public void setHref(boolean href) {
        isHref = href;
    }
}
